%define upstream_name    Getopt-Chain
%define upstream_version 0.017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Per-command context
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan::Share)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Hash::Param)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeHelpers)
BuildRequires: perl(MooseX::MakeImmutable)
BuildRequires: perl(Path::Dispatcher)
BuildRequires: perl(Path::Dispatcher::Declarative)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Getopt::Chain can be used to provide 'svn(1)'- and 'git(1)'-style option
and command processing. Any option specification covered by the
Getopt::Long manpage is fair game.

This is a new version of Getopt::Chain that uses the Path::Dispatcher
manpage

CAVEAT 1: This is pretty beta, so the sugar/interface above WILL be tweaked

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.17.0-2.mga3
+ Revision: 367709
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.17.0-1.mga3
+ Revision: 310670
- imported package perl-Getopt-Chain

